fop 1.1

## org.apache.fop.hyphenation
Class Hyphenator

    java.lang.Object
      org.apache.fop.hyphenation.Hyphenator

    public final class Hyphenator

extends java.lang.Object

This class is the main entry point to the hyphenation package. You can use only the static methods or create an instance.

This work was authored by Carlos Villegas (cav@uniscope.co.jp).

Field Summary
`protected static org.apache.commons.logging.Log` `log` logging instance

Method Summary
`static HyphenationTree` `getFopHyphenationTree(java.lang.String key)` Returns a hyphenation tree.
`static HyphenationTree` `getHyphenationTree(java.lang.String lang, java.lang.String country, HyphenationTreeResolver resolver, java.util.Map hyphPatNames)` Returns a hyphenation tree for a given language and country, with fallback from (lang,country) to (lang).
`static HyphenationTreeCache` `getHyphenationTreeCache()`
`static HyphenationTree` `getUserHyphenationTree(java.lang.String key, HyphenationTreeResolver resolver)` Load tree from serialized file or xml file using configuration settings
`static HyphenationTree` `getUserHyphenationTree(java.lang.String key, java.lang.String hyphenDir)` Load tree from serialized file or xml file using configuration settings
`static Hyphenation` `hyphenate(java.lang.String lang, java.lang.String country, HyphenationTreeResolver resolver, java.util.Map hyphPatNames, java.lang.String word, int leftMin, int rightMin)` Hyphenates a word.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logging instance

Method Detail

### getHyphenationTreeCache

    public static HyphenationTreeCache getHyphenationTreeCache()

  Returns:
    the default (static) hyphenation tree cache

### getHyphenationTree

    public static HyphenationTree getHyphenationTree(java.lang.String lang,
                                                     java.lang.String country,
                                                     HyphenationTreeResolver resolver,
                                                     java.util.Map hyphPatNames)

  Returns a hyphenation tree for a given language and country, with fallback from (lang,country) to (lang). The hyphenation trees are cached.

  Parameters:
    `lang` - the language
    `country` - the country (may be null or "none")
    `resolver` - resolver to find the hyphenation files
    `hyphPatNames` - the map with user-configured hyphenation pattern file names
  Returns:
    the hyphenation tree

### getFopHyphenationTree

    public static HyphenationTree getFopHyphenationTree(java.lang.String key)

  Returns a hyphenation tree. This method looks in the resources (getResourceStream) for the hyphenation patterns.

  Parameters:
    `key` - the language/country key
  Returns:
    the hyphenation tree or null if it wasn't found in the resources

### getUserHyphenationTree

    public static HyphenationTree getUserHyphenationTree(java.lang.String key,
                                                         java.lang.String hyphenDir)

  Load tree from serialized file or xml file using configuration settings

  Parameters:
    `key` - language key for the requested hyphenation file
    `hyphenDir` - base directory to find hyphenation files in
  Returns:
    the requested HypenationTree or null if it is not available

### getUserHyphenationTree

    public static HyphenationTree getUserHyphenationTree(java.lang.String key,
                                                         HyphenationTreeResolver resolver)

  Load tree from serialized file or xml file using configuration settings

  Parameters:
    `key` - language key for the requested hyphenation file
    `resolver` - resolver to find the hyphenation files
  Returns:
    the requested HypenationTree or null if it is not available

### hyphenate

    public static Hyphenation hyphenate(java.lang.String lang,
                                        java.lang.String country,
                                        HyphenationTreeResolver resolver,
                                        java.util.Map hyphPatNames,
                                        java.lang.String word,
                                        int leftMin,
                                        int rightMin)

  Hyphenates a word.

  Parameters:
    `lang` - the language
    `country` - the optional country code (may be null or "none")
    `resolver` - resolver to find the hyphenation files
    `hyphPatNames` - the map with user-configured hyphenation pattern file names
    `word` - the word to hyphenate
    `leftMin` - the minimum number of characters before the hyphenation point
    `rightMin` - the minimum number of characters after the hyphenation point
  Returns:
    the hyphenation result

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.